Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class OfferBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.OfferBean

All Implemented Interfaces:
  java.io.Serializable

public class OfferBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`OfferBean()`
`OfferBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, long candidateId, java.lang.String creator, java.lang.String employmentType, java.util.Calendar expirationDate, java.lang.String manager, java.lang.String offerFileName, java.lang.String payRate, long requisitionId, java.util.Calendar startDate, java.lang.String stockOptions, java.lang.String title)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getCandidateId()` Gets the candidateId value for this OfferBean.
`java.lang.String` | `getCreator()` Gets the creator value for this OfferBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getEmploymentType()` Gets the employmentType value for this OfferBean.
`java.util.Calendar` | `getExpirationDate()` Gets the expirationDate value for this OfferBean.
`java.lang.String` | `getManager()` Gets the manager value for this OfferBean.
`java.lang.String` | `getOfferFileName()` Gets the offerFileName value for this OfferBean.
`java.lang.String` | `getPayRate()` Gets the payRate value for this OfferBean.
`long` | `getRequisitionId()` Gets the requisitionId value for this OfferBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.util.Calendar` | `getStartDate()` Gets the startDate value for this OfferBean.
`java.lang.String` | `getStockOptions()` Gets the stockOptions value for this OfferBean.
`java.lang.String` | `getTitle()` Gets the title value for this OfferBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCandidateId(long candidateId)` Sets the candidateId value for this OfferBean.
`void` | `setCreator(java.lang.String creator)` Sets the creator value for this OfferBean.
`void` | `setEmploymentType(java.lang.String employmentType)` Sets the employmentType value for this OfferBean.
`void` | `setExpirationDate(java.util.Calendar expirationDate)` Sets the expirationDate value for this OfferBean.
`void` | `setManager(java.lang.String manager)` Sets the manager value for this OfferBean.
`void` | `setOfferFileName(java.lang.String offerFileName)` Sets the offerFileName value for this OfferBean.
`void` | `setPayRate(java.lang.String payRate)` Sets the payRate value for this OfferBean.
`void` | `setRequisitionId(long requisitionId)` Sets the requisitionId value for this OfferBean.
`void` | `setStartDate(java.util.Calendar startDate)` Sets the startDate value for this OfferBean.
`void` | `setStockOptions(java.lang.String stockOptions)` Sets the stockOptions value for this OfferBean.
`void` | `setTitle(java.lang.String title)` Sets the title value for this OfferBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OfferBean

    public OfferBean()

### OfferBean

    public OfferBean(java.util.Calendar creationDate,
                     FlexFieldBean[] flexValues,
                     long id,
                     java.util.Calendar lastUpdated,
                     java.lang.String status,
                     long candidateId,
                     java.lang.String creator,
                     java.lang.String employmentType,
                     java.util.Calendar expirationDate,
                     java.lang.String manager,
                     java.lang.String offerFileName,
                     java.lang.String payRate,
                     long requisitionId,
                     java.util.Calendar startDate,
                     java.lang.String stockOptions,
                     java.lang.String title)

Method Detail

### getCandidateId

    public long getCandidateId()

  Gets the candidateId value for this OfferBean.

  Returns:
    candidateId

### setCandidateId

    public void setCandidateId(long candidateId)

  Sets the candidateId value for this OfferBean.

  Parameters:
    `candidateId` -

### getCreator

    public java.lang.String getCreator()

  Gets the creator value for this OfferBean.

  Returns:
    creator

### setCreator

    public void setCreator(java.lang.String creator)

  Sets the creator value for this OfferBean.

  Parameters:
    `creator` -

### getEmploymentType

    public java.lang.String getEmploymentType()

  Gets the employmentType value for this OfferBean.

  Returns:
    employmentType

### setEmploymentType

    public void setEmploymentType(java.lang.String employmentType)

  Sets the employmentType value for this OfferBean.

  Parameters:
    `employmentType` -

### getExpirationDate

    public java.util.Calendar getExpirationDate()

  Gets the expirationDate value for this OfferBean.

  Returns:
    expirationDate

### setExpirationDate

    public void setExpirationDate(java.util.Calendar expirationDate)

  Sets the expirationDate value for this OfferBean.

  Parameters:
    `expirationDate` -

### getManager

    public java.lang.String getManager()

  Gets the manager value for this OfferBean.

  Returns:
    manager

### setManager

    public void setManager(java.lang.String manager)

  Sets the manager value for this OfferBean.

  Parameters:
    `manager` -

### getOfferFileName

    public java.lang.String getOfferFileName()

  Gets the offerFileName value for this OfferBean.

  Returns:
    offerFileName

### setOfferFileName

    public void setOfferFileName(java.lang.String offerFileName)

  Sets the offerFileName value for this OfferBean.

  Parameters:
    `offerFileName` -

### getPayRate

    public java.lang.String getPayRate()

  Gets the payRate value for this OfferBean.

  Returns:
    payRate

### setPayRate

    public void setPayRate(java.lang.String payRate)

  Sets the payRate value for this OfferBean.

  Parameters:
    `payRate` -

### getRequisitionId

    public long getRequisitionId()

  Gets the requisitionId value for this OfferBean.

  Returns:
    requisitionId

### setRequisitionId

    public void setRequisitionId(long requisitionId)

  Sets the requisitionId value for this OfferBean.

  Parameters:
    `requisitionId` -

### getStartDate

    public java.util.Calendar getStartDate()

  Gets the startDate value for this OfferBean.

  Returns:
    startDate

### setStartDate

    public void setStartDate(java.util.Calendar startDate)

  Sets the startDate value for this OfferBean.

  Parameters:
    `startDate` -

### getStockOptions

    public java.lang.String getStockOptions()

  Gets the stockOptions value for this OfferBean.

  Returns:
    stockOptions

### setStockOptions

    public void setStockOptions(java.lang.String stockOptions)

  Sets the stockOptions value for this OfferBean.

  Parameters:
    `stockOptions` -

### getTitle

    public java.lang.String getTitle()

  Gets the title value for this OfferBean.

  Returns:
    title

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title value for this OfferBean.

  Parameters:
    `title` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD